<?php
  require_once "setup.php";
  $base = parse_url($repo->getURIPrefix());
  $basepath = $base["path"];
?>
<!DOCTYPE HTML>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="stylesheet" href="css/core-style.css" type="text/css" media="screen" />

    
    <title>SALAMI SPARQL Endpoint</title>

    <script src="js/jquery-1.10.1.js" > </script>

    <script>

    
    function onSubmit() {

      alert("OnSubmit");

      $.ajax({
          type: "POST",
  	  beforeSend: function (request) {
  	    //request.setRequestHeader("Authority", authorizationToken);
	  },

	  url: "<?php echo $repo->getSparqlEndpoint();?>",
	  data: "query=" + $('#rdf-query'),
	  processData: false,
	  success: function(msg) {
	    $("#rdf-results").append("The result =" + StringifyPretty(msg));
	}
      });

      return false;

    }    


    </script>

  </head>

  <body>
    <div id="container">

      <div id="header">
	<h1>The SALAMI SPARQL Endpoint</h1>
      </div>

      <div id="navigation">
	<ul>	  
	  <li><a href="index.php">Home</a></li>
	  <li class="selected"><a href="#">SPARQL</a></li>
	  <li><a href="contact.php">Contact</a></li>
	</ul>
      </div>

      <div id="content-container">

	<div id="content">
	  
	  <p>
	    RDF Query:
	  </p>

<!--
		action="<?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?>" method="post"
-->

	  <form onsubmit="return onSubmit()">

	    <textarea name="query" id="rdf-query"
		      style="width: 97%; margin-left: 10px; margin-right: 20px;" rows="8">
PREFIX rdf: &lt;http://www.w3.org/1999/02/22-rdf-syntax-ns#&gt;
PREFIX rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt;

SELECT * WHERE {
 ?s ?p ?o
} LIMIT 10
	    </textarea>
	    <br/>

   <span style="margin: 5px 20px 5px 20px;">
     Output type:
     <select name="output">
       <option>xml</option>
       <option>json</option>
       <option>text</option>
     </select>
   </span>

   <span style="margin: 5px 20px 5px 20px;">
     Maximum results returned: 
     <select name="soft-limit">
       <option>10</option>
       <option>100</option>
       <option>1000</option>
     </select>
   </span>

   <span style="margin: 5px 40px 5px 40px;">
     <input type="submit" value="Execute">
   </span>

   <span style="margin: 5px 40px 5px 40px;">
     <input type="reset">
   </span>


	  </form>


   <p>
     RDF Results:
   </p>
	    <textarea id="rdf-results" 
		      style="width: 97%; margin-left: 10px; margin-right: 20px;" rows="8">
	    </textarea>
	  
   <p>
     The <code>Accept</code> header you send is taken into account. 
     Various types of RDF are available, plus an HTML representation and 
     potentially the audio data (use <code>audio/*</code> to accept any 
     format of audio).
   </p>


   <p>
     The machine-interfacable Sparql endpoint, which operates without
     a limit on the number of tripples returned, is available at
     <code><?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?></code>.
   </p>


</div>


      <div id="footer" style="border-top: 8px groove #7ECDF3;">
	<table cellpadding="0px" cellspacing="0px" width="100%">
	  <tbody>
	    <tr style="background: white;">
	      <td align="center">
		<a href="http://www.sshrc-crsh.gc.ca/Default.aspx">
		  <img width="400px" src="images/sshrc_logo.jpeg">
	      </a>
	      </td>
	      <td align="center">
		<a href="http://www.nsf.gov/index.jsp">
		  <img width="100px" src="images/nsf_logo.jpeg">
		</a>
	      </td>
	      <td align="center">
		<a href="http://www.jisc.ac.uk/">
		  <img height="100px" src="images//jisc_logo.jpeg">
	        </a>
	      </td>
	    </tr>
	  </tbody>
	</table>

      </div>

  </div>
	</body>
</html>
